<?php

/**
 * domain actions.
 *
 * @package    mailadmin
 * @subpackage domain
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 2288 2006-10-02 15:22:13Z fabien $
 */
class domainActions extends autodomainActions
{
	public function executeList()
	{
		// pageination
		if($this->hasRequestParameter("max_per_page"))
			$this->getUser()->setResultsPerPage($this->getRequestParameter("max_per_page"));
		
		return parent::executeList();
	}

	public function executeCreate()
	{
		// populate preset values
		$this->getRequest()->setParameter('domain[creator_id]', $this->getUser()->getId());
		
		$this->setTemplate("edit");
		return $this->executeEdit();
	}

	public function handleErrorCreate()
	{
		$this->setTemplate("edit");
		return $this->handleErrorEdit();
	}

	public function executeCreateMailbox()
	{
		$domain = DomainPeer::retrieveByPk($this->getRequestParameter('id'));
		$this->redirect("mailbox/create?mailbox[domain_id]=".$domain->getId()."&mailbox[name]=".sprintf("%s%d", $domain->getMailboxPrefix(), $domain->getMailboxCount()+1)."&mailbox[max_quota]=".$domain->getDefaultMailboxQuota() );
	}

	public function executeViewMailboxes()
	{
		$this->redirect("mailbox/list?filter=filter&filters[domain_id]=".$this->getRequestParameter('id'));
	}
}
