<?php

/**
 * Subclass for performing query and update operations on the 'log' table.
 *
 * 
 *
 * @package lib.model
 */ 
class LogEntryPeer extends BaseLogEntryPeer
{
	public static function log($message, $priority = LogEntry::PRIO_DEBUG)
	{
		$e = new LogEntry();
		$e->setMessage($message);
		$e->setPriority($priority);
		$e->setHost(gethostbyaddr($_SERVER["REMOTE_ADDR"]));
		$user = sfContext::getInstance()->getUser();
		if($user)
			$e->setUserId($user->getId());
		$e->save();
	}
}
